
Ruby - Bug #15197

Segmentation fault in Ruby script cache_store.rb from homebrew on macOS Mojave 

10/03/2018 04:06 PM - Dr.-Big-Man (Dr. Matthias H. Fröhlich)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.5.1p57 (2018-03-29 revision

63029) [x86_64-darwin17]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

Execution of command 'brew doctor' from terminal (CLI) leads to Segmentation fault - complete copy of terminal output and files

mentioned in the following snippet are attached:

/usr/local/Homebrew/Library/Homebrew/cache_store.rb:24: [BUG] Segmentation fault at 0x0000000105fffffe

ruby 2.3.7p456 (2018-03-28 revision 63024) [universal.x86_64-darwin9.0]

-- Crash Report log information --------------------------------------------

See Crash Report log file under the one of following:

* ~/Library/Logs/CrashReporter

* /Library/Logs/CrashReporter

* ~/Library/Logs/DiagnosticReports

* /Library/Logs/DiagnosticReports

for more details.

Don't forget to include the above Crash Report log file in bug reports.

-- Control frame information -----------------------------------------------

c:0021 p:---- s:0120 e:000119 CFUNC  :[]=

c:0020 p:0018 s:0115 e:000113 METHOD /usr/local/Homebrew/Library/Homebrew/cache_store.rb:24

c:0019 p:0029 s:0109 e:000108 METHOD /usr/local/Homebrew/Library/Homebrew/linkage_cache_store.rb:38

c:0018 p:0167 s:0105 E:0004e8 METHOD /usr/local/Homebrew/Library/Homebrew/linkage_checker.rb:148

c:0017 p:0187 s:0097 E:001ef8 METHOD /usr/local/Homebrew/Library/Homebrew/linkage_checker.rb:25 [FINISH]

c:0016 p:---- s:0089 e:000088 CFUNC  :new

c:0015 p:0019 s:0083 e:000082 BLOCK  /usr/local/Homebrew/Library/Homebrew/formula.rb:1790

c:0014 p:0024 s:0079 e:000078 METHOD /usr/local/Homebrew/Library/Homebrew/cache_store.rb:17

c:0013 p:0038 s:0073 e:000072 METHOD /usr/local/Homebrew/Library/Homebrew/formula.rb:1789

c:0012 p:0076 s:0068 e:000066 METHOD /usr/local/Homebrew/Library/Homebrew/formula.rb:1562

c:0011 p:0012 s:0059 e:000058 METHOD /usr/local/Homebrew/Library/Homebrew/formula.rb:1568

c:0010 p:0022 s:0053 e:000052 METHOD /usr/local/Homebrew/Library/Homebrew/formula.rb:1584

c:0009 p:0011 s:0048 e:000047 BLOCK  /usr/local/Homebrew/Library/Homebrew/diagnostic.rb:13 [FINISH]

c:0008 p:---- s:0044 e:000043 CFUNC  :each

c:0007 p:0019 s:0041 e:000040 METHOD /usr/local/Homebrew/Library/Homebrew/diagnostic.rb:12

c:0006 p:0060 s:0035 e:000034 METHOD /usr/local/Homebrew/Library/Homebrew/diagnostic.rb:652

c:0005 p:0085 s:0031 e:000030 BLOCK  /usr/local/Homebrew/Library/Homebrew/cmd/doctor.rb:46 [FINISH]

c:0004 p:---- s:0027 e:000026 CFUNC  :each

c:0003 p:0167 s:0024 e:000023 METHOD /usr/local/Homebrew/Library/Homebrew/cmd/doctor.rb:38

c:0002 p:0704 s:0017 E:0004a8 EVAL   /usr/local/Homebrew/Library/Homebrew/brew.rb:91 [FINISH]

c:0001 p:0000 s:0002 E:001d80 (none) [FINISH]

Related issues:

Is duplicate of Ruby - Bug #15137: Can't run brew cleanup Third Party's Issue

History

#1 - 10/04/2018 03:40 AM - znz (Kazuhiro NISHIYAMA)

- Is duplicate of Bug #15137: Can't run brew cleanup added

#2 - 10/06/2018 03:11 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Third Party's Issue

I can't reproduce it on linkage.db files uploaded there, but dbm_open in the system library returns NULL instead.

I guess the system bundled dbm has a incompatibility or a bug which causes the failure or the segfaults, and we can't manage that library.
Files

Log at 2018-10-03 5-59-30 PM.txt 40.3 KB 10/03/2018 Dr.-Big-Man (Dr. Matthias H. Fröhlich)

brew.rb 4.82 KB 10/03/2018 Dr.-Big-Man (Dr. Matthias H. Fröhlich)

cache_store.rb 4.78 KB 10/03/2018 Dr.-Big-Man (Dr. Matthias H. Fröhlich)

ruby_2018-10-03-175028_Slivery.crash 41.4 KB 10/03/2018 Dr.-Big-Man (Dr. Matthias H. Fröhlich)
